@echo off
echo Expert Plus Mode Geosconf.bat
echo by Chris De Herrera
echo Copyright 1995 - All Rights Reserved
echo Distributeable on AOL's PDA forum and the Zoomer Mail List Only!
echo Other distributions are prohibited without prior consent.
echo.
:setup
set dkgport=2
if not %1x==x set dkgport=%1

:install
echo WARNING - Perform a complete backup of your Zoomer before continuing!
echo.
echo This program will replace GEOS operating system files on your
echo Zoomer.  We are assuming you are using com port %dkgport%.  If this
echo is incorrect, break out of this program and run GEOSCONF X where X
echo is the PC com port you wish to use.  Make sure you have preferences
echo (File Transfer) set to RS232 at 19200 BPS.
echo.
echo Connect a serial cable from your PC to the Zoomer's RS-232C port.
echo On the Zoomer, bring up the File Manager,
echo select [Connect] from the menu, then select File Transfer on the menu,
echo then press the button for [Switch to File Transfer Mode].
echo Wait for the screen to clear and "waiting for command from remote PC"
echo to appear at the top of the Zoomer screen.
echo.
echo or press CTRL-BREAK to cancel the installation.
pause

echo.
echo Installing all files...
@zdos /q /b:19200 /p:%dkgport% /c "b:  "                 >nul
if errorlevel 1 goto badcomm
@zdos /q /b:19200 /p:%dkgport% /c "cd \  "               >nul
if errorlevel 1 goto badcomm
@zdos /q /b:19200 /p:%dkgport% /c "send geos.ini  "      >nul
if errorlevel 1 goto badcomm
@zdos /q /b:19200 /p:%dkgport% /c "send net.ini  "       >nul
if errorlevel 1 goto badcomm

echo.
if errorlevel 1 goto badcomm
echo.
echo Installation complete.
echo.
echo Open the battery cover of your Zoomer and press the RESET button
echo with a paperclip.  You MUST go through the initial setup
echo procedure.  If things get scrambled,  press the RESET, A and B 
echo buttons at the same time to do a full reset.
goto done

:badcomm
echo An error occurred in communications.  Check your cable or port.
echo WARNING:
echo Do not reset your Zoomer.  You must re-run this or delete the 
echo B:\NET.INI and B:\GEOS.INI.
goto done

:usage
echo Usage:   GEOSCONF port
echo Example: GEOSCONF 1
goto done

:badenv
echo Not enough environment space
goto done

:done
set dkgport=
echo.
